const jump = function(data) {
    console.log('-->data',data)
    switch (data.type) {
        case 'redirect':
            uni.redirectTo({
                url: data.url
            });
            break;
        case 'navigate':
        case 'to':
            uni.navigateTo({
                url: data.url,
                animationType: "pop-in",
            });
            break;
        case 'tel':
            if (data.params) {
                uni.makePhoneCall({
                    phoneNumber: data.params[0].value
                });
            } else if (data.number) {
                uni.makePhoneCall({
                    phoneNumber: data.number
                });
            }
            break;
        case 'map':
            uni.openLocation({
                latitude: Number(data.latitude),
                longitude: Number(data.longitude),
                name: data.address
            });
            break;
        case 'reload':
            uni.redirectTo({
                url: this.$platDiff.routeWithOption()
            });
            break;
        case 'relaunch':
            uni.reLaunch({
                url: '/pages/index/index'
            });
            break
    }
};

export default jump;
